/*
var width = document.body.clientWidth,
    height = document.body.clientHeight;
*/


//console.dir(document.body);

alert('width: ' + document.body.clientWidth + ' / Hoehe: ' + document.body.clientHeight);


var width = 960,
	height = 540;

var color = d3.scale.category20();
var color_time = d3.scale.linear().domain([0,1500,3000]).range(['green','yellow', 'red']);
var color_num = d3.scale.linear().domain([1,2.5,5]).range(['red', 'yellow', 'green']);


var force = d3.layout.force()
	.charge(-900)
	.linkDistance(80)
	.size([width, height]);

	//d3.select("body").

var svg = d3.select("#chart").append("svg")
	.style("background", "transparent")
	.attr("width", width)
	.attr("height", height);

d3.json("graph.json", function(json) {
	force
	  .nodes(json.nodes)
	  .links(json.links)
	  .start();

  var link = svg.selectAll("line.link")
	  .data(json.links)
	.enter().append("line")
	  .attr("class", "link")
	  .style("stroke-width", function(d) { return 1; });

  var node = svg.selectAll("circle.node")
	  .data(json.nodes)
	  .enter().append("g")
	  .attr("class", "node")
	  .on("dblclick",function(d) { alert('router double-clicked'); d3.event.stopPropagation();})
	  .call(force.drag);

	  node.append("SVG:circle")
	  .attr("r", function(d) {  return ((d.weight/1.5) + 10); })
	  .style("stroke-width", 3)
	  .style("stroke", function(d) {  return color_num(d.NumPings);})
	 .style("fill", function(d) {  return color_time(d.PingTime);})
	  ;

	  node.append("text")
		//.attr("class", "ID")
		.attr("dx",0)
		.attr("dy", ".35em")
		.attr("font", "12px sans-serif")
		.attr("class", "shadow")
		.attr("text-anchor", "middle")
		.text(function(d) {return d.id;});

  node.append("title")
	  .text(function(d) {d.nodeName.replace("/", "\n")+"\nPings: "+d.NumPings+"/5\nTime: "+d.PingTime+"ms";});





  force.on("tick", function() {
	link.attr("x1", function(d) { return d.source.x; })
		.attr("y1", function(d) { return d.source.y; })
		.attr("x2", function(d) { return d.target.x; })
		.attr("y2", function(d) { return d.target.y; });

	//node.attr("cx", function(d) { return d.x; })
	//    .attr("cy", function(d) { return d.y; })
		node.attr("transform", function(d) {return "translate("+d.x +","+ d.y+")"; });
  });
});


